/*
 * lcd_hd44780.h
 *
 * Created : 01.11.2014 15:26:25
 * Modified: 30.01.2015 21:38:43
 *
 * Version : 1.0
 *
 * Author: HB9FGK - Laurent Ferrari
 *
 * Plateforme : uC ATMEL AVR ATtiny & ATmega
 *
 * Description :
 *              Fonctions d'initialisation et d'affichage pour LCD 
 *              à base de controlleur HD44780 en mode 4 bits.
 *
 *              ! Ne pas oublier d'initialiser les ports E/S concernés. !
 */ 


#ifndef LCD_HD44780_H_
#define LCD_HD44780_H_


// Définition des ports -----------------------------------------------------

#define RS_PORT PORTC
#define RS_BIT PC2

#define EN_PORT PORTC
#define EN_BIT PC3

#define DATA_PORT PORTC
#define DATA_BIT PC4  // Position du premier bit des data (lsb).
                      // Les trois autres bits doivent suivre consecutivement.


//--- Display settings -------
#define LCD_ON 0x04
#define LCD_OFF 0x00
#define CURSOR_ON 0x02
#define CURSOR_OFF 0x00
#define CURSOR_BLINK 0x01
#define CURSOR_NOBLINK 0x00


void lcd_init_write(unsigned char cmd);
void lcd_putcmd(unsigned char cmd);
void lcd_setdisplay(unsigned char settings);
void init_lcd(void);
void lcd_putchar(char car);
void lcd_putstr(char *text);
void lcd_gotoxy(unsigned char x, unsigned char y);
void lcd_clrscr(void);

#endif
